# Class Activator

java.lang.Object
org.eclipse.jface.text.Activator

All Implemented Interfaces:
  `BundleActivator`

public class Activator extends Object implements BundleActivator

Since:
  3.29

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
The identifier of the descriptor of this plugin in plugin.xml.

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`static ExecutorService`
`getExecutor()`
`void`
`start(BundleContext context)`
`void`
`stop(BundleContext context)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID
The identifier of the descriptor of this plugin in plugin.xml.

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()

## Method Details

### start

public void start(BundleContext context)

Specified by:
  `start` in interface `BundleActivator`

### stop

public void stop(BundleContext context)

Specified by:
  `stop` in interface `BundleActivator`

### getExecutor

public static ExecutorService getExecutor()